<?php

$viewdefs ['EcmWorkCards'] ['EditView'] = array(
	'templateMeta' => array(
		'form' => array(
			'enctype' => 'multipart/form-data',
			'hidden' => array(
				'<input type="hidden" name="isSaveAndNew" value="false">'),
			'buttons' => array(
				'SAVE',
				'CANCEL',
//				array(
//					'customCode' => '<input '
//					. 'title="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_TITLE}" '
//					. 'accessKey="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_KEY}" '
//					. 'class="button" '
//					. 'onclick=" this.form.action.value=\'Save\'; this.form.return_module.value=\'EcmWorkCards\'; this.form.return_action.value=\'DetailView\'; this.form.isDuplicate.value=true; this.form.action.value=\'EditView\'; this.form.return_id.value=\'{$id}\';" '
//					. 'type="submit" '
//					. 'name="SaveAndDuplicate" '
//					. 'value="{$APP.LBL_CLOSE_AND_CREATE_BUTTON_LABEL}" '
//					. 'id="SaveAndDuplicate">'
//				),
			),
		),
		'maxColumns' => '2',
		'widths' => array(
			array(
				'label' => '10',
				'field' => '30'
			),
			array(
				'label' => '10',
				'field' => '30'
			)
		),
		'javascript' => '
							<script type="text/javascript" src="include/javascript/popup_parent_helper.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>
							<script type="text/javascript" src="include/jsolait/init.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>
							<script type="text/javascript" src="include/jsolait/lib/urllib.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>
							<script type="text/javascript" src="include/javascript/jsclass_base.js"></script>
							<script type="text/javascript" src="include/javascript/jsclass_async.js"></script>
							<script type="text/javascript" src="include/JSON.js?s={$SUGAR_VERSION}"></script>
							<script type="text/javascript" src="modules/EcmWorkCards/js/EditViewDocumentReady.js?s={$SUGAR_VERSION}&c={$JS_CUSTOM_VERSION}"></script>',
		'includes' => array(
			array(
				'file' => 'include/JSON.js'
			),
		),
	),
	'panels' => array(
		'LBL_ITEMS_TAB' => array(
			array(
				array(
					'type' => 'tab',
					'active' => true
				),
			),
			array(
				array(
					'name' => 'worker_name',
					'label' => 'LBL_WORKER_NAME',
					'tabindex' => '101',
					'displayParams' => array(
						'size' => 50
					),
				),
			),
			array(
				array(
					'name' => 'date',
					'label' => 'LBL_DATE',
					'tabIndex' => '102',
				),
			),
			array(
				array(
					'label' => 'LBL_DESCRIPTION',
					'name' => 'description',
					'displayParams' => array('rows' => 2, 'cols' => 60),
				),
			),
		),
		'LBL_ACTIONS' => array(
			array(
				array(
					'type' => 'tab',
				),
			),
			array(
				array(
					'allCols' => true,
					'hideLabel' => true,
					'customCode' => "{include file='modules/EcmWorkCards/tpl/EditViewTableEcmActions.tpl'}",
				),
			),
		),
	),
);
?>
